import { View, Text } from "react-native-ui-lib";
import React, { useEffect } from "react";
import * as ScreenOrientation from "expo-screen-orientation";
import { InnerCalendar } from "../../calendar/InnerCalendar";
import TabletContainer from "../tablet_components/TabletContainer";

const TabletCalendarPage = () => {
  const lockScreenOrientation = async () => {
    await ScreenOrientation.lockAsync(
      ScreenOrientation.OrientationLock.LANDSCAPE_RIGHT
    );
  };

  useEffect(() => {
    lockScreenOrientation();

    return () => {
      ScreenOrientation.unlockAsync();
    };
  }, []);

  return (
    <TabletContainer>
      <InnerCalendar />
    </TabletContainer>
  );
};

export default TabletCalendarPage;
